// list04.pov
// Persistence of Vision Raytracer

// Demonstration von Heightfields
// hfwaves.tga mu im Directory vorliegen
// Listing 4 erzeugt Bild 7

#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

#declare hf_scale = <5.5, 2.0, 7.0> 

camera {
   location <-1.0, 1.0, -7.0>
   direction <0.0, 0.0, 1.0>
   up <0.0, 1.0, 0.0>
   right <1.333333, 0.0, 0.0>
   look_at <-1.5, 1.0, 1.0>
  }

/* Wellental aus Sandelholz, poliert */

object {
   intersection {
     height_field { tga "bild06.tga" }
     box { <  0,   0,   0>,
           <1.0, 1.0, 1.0>
         pigment {Brown}
         }
     texture { Sandalwood }
     finish { phong 0.7 }
   }
   scale hf_scale
   translate <-2.75, 0.0, -1.5>
   rotate <0, 310, 0>
   rotate <-30, 0, 0>
 }

/* Kork-Fuboden 

plane { <0.0, 1.0, 0.0>, 0.0
   texture { Cork }
   rotate <0, 310, 0>
   rotate <-30, 0, 0>
}
*/
/* Lichtquelle */

object {
   light_source { <-4.0, 0.0, -8> 
     color White  }
 }

object {
   light_source { <2.5, 2.5, -8> 
     color White  }
 }
